package org.stm.rectify.charts.service;

import org.jeecg.modules.system.entity.SysDepart;
import org.stm.rectify.charts.vo.ChartVo;

import java.io.Serializable;
import java.util.List;

/**
 * @Author: yzh
 * @Date 2023/8/1 19:50
 * @Description:
 */
public interface RectifyChartService {
    /**
     * 项目统计
     * @return
     */
    ChartVo projectStatisticChart();

    List<SysDepart> problemDepList();

    ChartVo problemDepStatisticChart(String depCode);

    ChartVo yearStatisticChart();

    ChartVo domainStatisticChart();
}
